Mon serveur est innacessible

Bonsoir,

Tout à l’heure tout allais bien mon serveur était normal puis je suis partit. Mais maintenant que je suis revenu, je n’y est plus accès. Sa me met pleins d’erreurs
Quand j’essaye de me connecter il y a une erreur, j’ai pris une capture en pièce jointe.

Voici ce qui a affiché dans santé du serveur :

[00:05:30] : Could not load 'plugins/DynmapPlotMe.jar' in folder 'plugins'
[00:05:38] [Netty Epoll Server IO #2/ERROR]: java.lang.NullPointerException
[00:05:41] [Netty Epoll Server IO #3/ERROR]: java.lang.NullPointerException
[00:07:15] [Netty Epoll Server IO #9/ERROR]: java.lang.NullPointerException

Et mes logs :

[00:09:15] [Server thread/INFO]: Starting minecraft server version 1.8.7
[00:09:15] [Server thread/INFO]: Loading properties
[00:09:15] [Server thread/INFO]: Default game type: SURVIVAL
[00:09:15] [Server thread/INFO]: Generating keypair
[00:09:15] [Server thread/INFO]: Starting Minecraft server on *:34156
[00:09:15] [Server thread/INFO]: Using epoll channel type
[00:09:15] [Server thread/INFO]: This server is running CraftBukkit version git-Bukkit-a6a57a9 (MC: 1.8.7) (Implementing API version 1.8.7-R0.1-SNAPSHOT)
[00:09:15] [Server thread/ERROR]: Could not load ‘plugins/DynmapPlotMe.jar’ in folder ‘plugins’
org.bukkit.plugin.UnknownDependencyException: dynmap
at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:219) [1.8.7.jar:git-Bukkit-a6a57a9]
at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:288) [1.8.7.jar:git-Bukkit-a6a57a9]
at org.bukkit.craftbukkit.v1_8_R3.CraftServer.(CraftServer.java:250) [1.8.7.jar:git-Bukkit-a6a57a9]
at net.minecraft.server.v1_8_R3.PlayerList.(PlayerList.java:69) [1.8.7.jar:git-Bukkit-a6a57a9]
at net.minecraft.server.v1_8_R3.DedicatedPlayerList.(SourceFile:14) [1.8.7.jar:git-Bukkit-a6a57a9]
at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:179) [1.8.7.jar:git-Bukkit-a6a57a9]
at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:507) [1.8.7.jar:git-Bukkit-a6a57a9]
at java.lang.Thread.run(Thread.java:745) [?:1.8.0_60]
[00:09:15] [Server thread/INFO]: [WorldEdit] Loading WorldEdit v6.1;no_git_id
[00:09:15] [Server thread/INFO]: [iConomy] Loading iConomy v7.0
[00:09:15] [Server thread/INFO]: [AutoMessage] Loading AutoMessage v2.5.4
[00:09:15] [Server thread/INFO]: [Vault] Loading Vault v1.5.6-b49
[00:09:15] [Server thread/INFO]: [WorldGuard] Loading WorldGuard v6.1
[00:09:15] [Server thread/INFO]: [MassiveCore] Loading MassiveCore v2.8.0
[00:09:15] [Server thread/INFO]: TimeUnit.MILLIS_PER_MINUTE: 60000
[00:09:15] [Server thread/INFO]: [ProtocolLib] Loading ProtocolLib v3.6.5
[00:09:16] [Server thread/INFO]: [Citizens] Loading Citizens v2.0.16-SNAPSHOT (build 1267)
[00:09:16] [Server thread/INFO]: [PlotMe] Loading PlotMe v0.16.3
[00:09:16] [Server thread/INFO]: [CookieMonster] Loading CookieMonster v1.8
[00:09:16] [Server thread/INFO]: [JSONAPI] Loading JSONAPI v5.6.0
[00:09:16] [Server thread/INFO]: [PlotMe-DefaultGenerator] Loading PlotMe-DefaultGenerator v0.16.1
[00:09:16] [Server thread/INFO]: [Multiverse-Core] Loading Multiverse-Core v2.5-b699
[00:09:16] [Server thread/INFO]: [Multiverse-Portals] Loading Multiverse-Portals v2.5-b725
[00:09:16] [Server thread/INFO]: [Vault] Enabling Vault v1.5.6-b49
[00:09:16] [Server thread/WARN]: iConomy - If you are using Flatfile storage be aware that versions 6, 7 and 8 have a CRITICAL bug which can wipe ALL iconomy data.
[00:09:16] [Server thread/WARN]: if you’re using Votifier, or any other plugin which handles economy data in a threaded manner your server is at risk!
[00:09:16] [Server thread/WARN]: it is highly suggested to use SQL with iCo6 or to use an alternative economy plugin!
[00:09:16] [Server thread/INFO]: [Vault] [Economy] iConomy 6 found: Waiting
[00:09:16] [Server thread/INFO]: [Vault] [Permission] SuperPermissions loaded as backup permission system.
[00:09:16] [Server thread/INFO]: [Vault] Enabled Version 1.5.6-b49
[00:09:16] [Server thread/INFO]: [MassiveCore] Enabling MassiveCore v2.8.0
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] === ENABLE START ===
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] §eLoading Cachefile datas…
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] §eLoading Onlineplayer datas…
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] §eLoading Registry datas…
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] §eSaving Cachefile…
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] §eSetup of IdUtil took §d19§ems.
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] §aActivated §eintegration with §dVault
[00:09:16] [Server thread/INFO]: [MassiveCore 2.8.0] === ENABLE §aCOMPLETE §e(Took §d160ms§e) ===
[00:09:16] [Server thread/INFO]: [ProtocolLib] Enabling ProtocolLib v3.6.5
[00:09:16] [Server thread/INFO]: [ProtocolLib] Started structure compiler thread.
[00:09:16] [Server thread/INFO]: [PlotMe] Enabling PlotMe v0.16.3
[00:09:16] [Server thread/INFO]: [PlotMe-DefaultGenerator] Enabling PlotMe-DefaultGenerator v0.16.1
[00:09:16] [Server thread/INFO]: [PlotMe-DefaultGenerator] PlotMe
[00:09:16] [Server thread/INFO]: [PlotMe-DefaultGenerator] PlotMe-DefaultGenerator
[00:09:16] [Server thread/INFO]: [PlotMe-DefaultGenerator] No old PlotMe configs to import.
[00:09:16] [Server thread/INFO]: Preparing level “terrabs”
[00:09:16] [Server thread/INFO]: Preparing start region for level 0 (Seed: 7737004942186797085)
[00:09:17] [Server thread/INFO]: Preparing spawn area: 60%
[00:09:17] [Server thread/INFO]: Preparing start region for level 1 (Seed: 7737004942186797085)
[00:09:18] [Server thread/INFO]: Preparing start region for level 2 (Seed: 7737004942186797085)
[00:09:18] [Server thread/INFO]: [WorldEdit] Enabling WorldEdit v6.1;no_git_id
[00:09:18] [Server thread/INFO]: WEPIF: Using the Bukkit Permissions API.
[00:09:18] [Server thread/INFO]: [WorldEdit] Using com.sk89q.worldedit.bukkit.adapter.impl.Spigot_v1_8_R3 as the Bukkit adapter
[00:09:18] [Server thread/INFO]: [iConomy] Enabling iConomy v7.0
[00:09:18] [Server thread/INFO]: [iConomy - April Fools] Enabled (15 ms)
[00:09:18] [Server thread/INFO]: [iConomy] Hello, I’m Nijikokun. Yes, this is an April Fools joke, but ‘/money top’ was fixed! Enjoy :slight_smile: - Rare Version!
[00:09:18] [Server thread/INFO]: [Vault][Economy] iConomy 7 hooked.
[00:09:18] [Thread-8/INFO]: [iConomy - April Fools] Purged accounts with default balance.
[00:09:18] [Server thread/INFO]: [AutoMessage] Enabling AutoMessage v2.5.4
[00:09:18] [Server thread/INFO]: [WorldGuard] Enabling WorldGuard v6.1
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs) TNT ignition is PERMITTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs) Lighters are PERMITTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs) Lava fire is blocked.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs) Fire spread is UNRESTRICTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘terrabs’
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_nether) TNT ignition is PERMITTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_nether) Lighters are PERMITTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_nether) Lava fire is blocked.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_nether) Fire spread is UNRESTRICTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘terrabs_nether’
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_the_end) TNT ignition is PERMITTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_the_end) Lighters are PERMITTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_the_end) Lava fire is blocked.
[00:09:19] [Server thread/INFO]: [WorldGuard] (terrabs_the_end) Fire spread is UNRESTRICTED.
[00:09:19] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘terrabs_the_end’
[00:09:19] [Server thread/INFO]: [WorldGuard] Loading region data…
[00:09:19] [Server thread/INFO]: [Citizens] Enabling Citizens v2.0.16-SNAPSHOT (build 1267)
[00:09:19] [Server thread/INFO]: [CookieMonster] Enabling CookieMonster v1.8
[00:09:19] [Server thread/INFO]: [CookieMonster] Using Vault v1.5.6-b49 for economy
[00:09:19] [Server thread/INFO]: [CookieMonster] v1.8 loaded successfully.
[00:09:19] [Server thread/INFO]: [CookieMonster] Developed by: [jascotty2, Coelho]
[00:09:19] [Server thread/INFO]: [JSONAPI] Enabling JSONAPI v5.6.0
[00:09:19] [Server thread/INFO]: [JSONAPI] Logging to file: false
[00:09:19] [Server thread/INFO]: [JSONAPI] Logging to console: true
[00:09:19] [Server thread/INFO]: [JSONAPI] IP Whitelist = None, all requests are allowed.
[00:09:19] [Server thread/INFO]: [JSONAPI] Loaded methods.json.
[00:09:19] [Thread-11/INFO]: [JSONAPI] Waiting 2.000 seconds to load methods so that all the other plugins load…
[00:09:19] [Thread-11/INFO]: [JSONAPI] Any requests in this time will not work…
[00:09:20] [Server thread/INFO]: [JSONAPI] Attempting to use port 30012
[00:09:20] [Server thread/INFO]: [Multiverse-Core] Enabling Multiverse-Core v2.5-b699
[00:09:20] [Server thread/INFO]: Preparing start region for level 3 (Seed: -1918036764701090998)
[00:09:21] [Server thread/INFO]: [WorldGuard] (survie) TNT ignition is PERMITTED.
[00:09:21] [Server thread/INFO]: [WorldGuard] (survie) Lighters are PERMITTED.
[00:09:21] [Server thread/INFO]: [WorldGuard] (survie) Lava fire is blocked.
[00:09:21] [Server thread/INFO]: [WorldGuard] (survie) Fire spread is UNRESTRICTED.
[00:09:21] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘survie’
[00:09:21] [Server thread/INFO]: Preparing start region for level 4 (Seed: -1637427936301281554)
[00:09:21] [Thread-11/INFO]: [JSONAPI] Dynmap cannot be loaded because it depends on a plugin that is not installed: ‘dynmap’
[00:09:21] [Thread-11/INFO]: [JSONAPI] Remote Toolkit cannot be loaded because it depends on a plugin that is not installed: ‘RemoteToolkitPlugin’
[00:09:21] [Thread-11/INFO]: [JSONAPI] Dynmap cannot be loaded because it depends on a plugin that is not installed: ‘dynmap’
[00:09:21] [Thread-11/INFO]: [JSONAPI] Remote Toolkit methods cannot be loaded because it depends on a plugin that is not installed: ‘RemoteToolkitPlugin’
[00:09:21] [Thread-11/INFO]: [JSONAPI] 384 methods loaded in 7 namespaces.
[00:09:21] [Thread-11/INFO]: [JSONAPI] ------[Connection information]-------
[00:09:21] [Thread-11/INFO]: [JSONAPI] JSON Server listening on 30012
[00:09:21] [Thread-11/INFO]: [JSONAPI] JSON Stream Server listening on 30013
[00:09:21] [Thread-11/INFO]: [JSONAPI] JSON WebSocket Stream Server listening on 30014
[00:09:21] [Thread-11/INFO]: [JSONAPI] Active and listening for requests.
[00:09:21] [Server thread/INFO]: [WorldGuard] (plotworld) TNT ignition is PERMITTED.
[00:09:21] [Server thread/INFO]: [WorldGuard] (plotworld) Lighters are PERMITTED.
[00:09:21] [Server thread/INFO]: [WorldGuard] (plotworld) Lava fire is blocked.
[00:09:21] [Server thread/INFO]: [WorldGuard] (plotworld) Fire spread is UNRESTRICTED.
[00:09:21] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘plotworld’
[00:09:21] [Server thread/INFO]: Preparing start region for level 5 (Seed: -8338602586291429369)
[00:09:22] [Thread-11/INFO]: [JSONAPI] External IP: 188.165.214.191
[00:09:22] [Server thread/INFO]: [WorldGuard] (xp) TNT ignition is PERMITTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] (xp) Lighters are PERMITTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] (xp) Lava fire is blocked.
[00:09:22] [Server thread/INFO]: [WorldGuard] (xp) Fire spread is UNRESTRICTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘xp’
[00:09:22] [Thread-11/INFO]: [JSONAPI] Port 30012 is properly forwarded and is externally accessible.
[00:09:22] [Server thread/INFO]: Preparing start region for level 6 (Seed: 2343106946247006598)
[00:09:22] [Server thread/INFO]: [WorldGuard] (ender) TNT ignition is PERMITTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] (ender) Lighters are PERMITTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] (ender) Lava fire is blocked.
[00:09:22] [Server thread/INFO]: [WorldGuard] (ender) Fire spread is UNRESTRICTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘ender’
[00:09:22] [Server thread/INFO]: Preparing start region for level 7 (Seed: 7068016933947550260)
[00:09:22] [Thread-11/INFO]: [JSONAPI] Port 30013 is properly forwarded and is externally accessible.
[00:09:22] [Server thread/INFO]: [WorldGuard] (adminshop) TNT ignition is PERMITTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] (adminshop) Lighters are PERMITTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] (adminshop) Lava fire is blocked.
[00:09:22] [Server thread/INFO]: [WorldGuard] (adminshop) Fire spread is UNRESTRICTED.
[00:09:22] [Server thread/INFO]: [WorldGuard] Loaded configuration for world ‘adminshop’
[00:09:22] [Server thread/INFO]: [Multiverse-Core] 8 - World(s) loaded.
[00:09:22] [Thread-11/INFO]: [JSONAPI] Port 30014 is properly forwarded and is externally accessible.
[00:09:22] [Thread-11/INFO]: [JSONAPI] -------------------------------------
[00:09:23] [Server thread/INFO]: [Multiverse-Core] Version 2.5-b699 (API v19) Enabled - By Rigby, fernferret, lithium3141 and main–
[00:09:23] [Server thread/INFO]: [Multiverse-Portals] Enabling Multiverse-Portals v2.5-b725
[00:09:23] [Server thread/INFO]: [Multiverse-Portals] - Version 2.5-b725 Enabled - By Rigby and fernferret
[00:09:23] [Server thread/INFO]: [MVPLogging] 10 - Portals(s) loaded
[00:09:23] [Server thread/INFO]: [Multiverse-Portals] Found WorldEdit. Using it for selections.
[00:09:23] [Server thread/INFO]: Server permissions file permissions.yml is empty, ignoring it
[00:09:23] [Server thread/INFO]: Done (6.876s)! For help, type “help” or “?”
[00:09:23] [Server thread/INFO]: Starting GS4 status listener
[00:09:23] [Server thread/INFO]: Starting remote control listener
[00:09:23] [Query Listener #1/INFO]: Query running on 0.0.0.0:34158
[00:09:23] [RCON Listener #2/INFO]: RCON running on 0.0.0.0:34157
[00:09:23] [Server thread/INFO]: [Citizens] Loaded 35 NPCs.
[00:09:23] [pool-3-thread-7/INFO]: [Vault] Checking for Updates …
[00:09:24] [pool-3-thread-7/INFO]: [Vault] No new version available
[00:09:24] [pool-3-thread-7/INFO]: [PlotMe] Checking if conversion to UUID needed…
[00:09:24] [pool-3-thread-7/INFO]: [PlotMe] No plot conversion needed

En espèrent qu’il y est quelqu’un qui arrive a m’aider,
cordialement
IDesign

Bonjour,

Tout a l’air correct dans les logs, pour ce qui est de l’erreur suivante :

[00:05:30] : Could not load ‘plugins/DynmapPlotMe.jar’ in folder ‘plugins’
[00:05:38] [Netty Epoll Server IO #2/ERROR]: java.lang.NullPointerException
[00:05:41] [Netty Epoll Server IO #3/ERROR]: java.lang.NullPointerException
[00:07:15] [Netty Epoll Server IO #9/ERROR]: java.lang.NullPointerException

Il te faut le plugin dynmap, DynmapPlotMe est une extension du plugin dynmap, si il n’est pas installé alors l’extension ne risque pas de marcher.

Sinon, pourrais tu me donner l’erreur lorsque tu essayes de te connecter (car je n’ai pas/ne vois pas le screen en piece jointe)

Tu avais installer un nouveau plugin avent de partir ?

Je viens d’installer le plugin et toujours la même erreur :
Internal Exception io.netty.handler.codec.DecoderException: java.lang.IndexOutOfBoundsException : readerIndex(14) + lenght(1) exceeds writerIndex(17) : UnpooledHeapByteBuf(ridx: 17, widx 17, cap: 17)

voila ce que sa donne en image :

merci pour ton aide

Non j’étais sur le serveur puis après quand j’ai voulu me reconnecter dans la soirée sa ne marchais plus :confused:

Il semblerait que quelqu’un ai déjà eu votre problème : https://www.spigotmc.org/threads/solved-players-disconnecting-in-certain-chunks.70816/
Une des solutions serait de rollback la zone qui cause problème.
Une autre solution serait d’installer ce plugin : https://www.spigotmc.org/resources/samistinesign-chest-fix.8269/

Je vous invite à faire des recherches sur Google pour approfondir le sujet.

J’ai retirer les derniers plugin et rien a faire sa ne marche plus

Le problème vient en effet de la map qui a été corrompue par un plugin justement. Merci de bien lire les liens que je vous ai fournis.